corelinux::Facade Class Reference

Structuring a system into subsystems helps reduce complexity. More...

`#include <Facade.hpp>`

## Public Member Functions

| Facade (void)
| Default Constructor.
| Facade (FacadeCref)
| Copy Constructor. More...
virtual | ~Facade (void)
| Virtual Destructor.
FacadeRef | operator= (FacadeCref)
| Assignment operator overload. More...
bool | operator== (FacadeCref) const
| Equality operator overload. More...
bool | operator!= (FacadeCref) const
| Non-equality operator overload. More...
Public Member Functions inherited from corelinux::CoreLinuxObject
| CoreLinuxObject (void)
| Default Constructor.
| CoreLinuxObject (CoreLinuxObjectCref)
| Copy Constructor. More...
virtual | ~CoreLinuxObject (void)
| Virtual Destructor.
CoreLinuxObjectRef | operator= (CoreLinuxObjectCref)
| Assignment operator overload. More...
bool | operator== (CoreLinuxObjectCref) const
| Equality operator overload. More...
bool | operator!= (CoreLinuxObjectCref) const
| Non-equality operator overload. More...

## Detailed Description

Structuring a system into subsystems helps reduce complexity.

A common design goal is to minimize the communication and dependencies between subsystems. A Facade defines a higher-level interface that makes the subsystem easier to use. This is also called a fat interface in some cases, and delegation model.

## Constructor & Destructor Documentation

corelinux::Facade::Facade | ( | FacadeCref | aRef | ) |

Copy Constructor.

Parameters

  Facade | const reference

## Member Function Documentation

bool corelinux::Facade::operator!= | ( | FacadeCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Facade | const reference

Returns
  false if equal, true otherwise

References operator==().

FacadeRef corelinux::Facade::operator= | ( | FacadeCref | aRef | ) |

Assignment operator overload.

Parameters

  Facade | const reference

Returns
  Facade reference to self

References corelinux::CoreLinuxObject::operator=().

bool corelinux::Facade::operator== | ( | FacadeCref | aRef | ) | const

Equality operator overload.

Parameters

  Facade | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=().

The documentation for this class was generated from the following files:

- Facade.hpp
- Facade.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium